summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakub Moc <jakub@gentoo.org>2008-01-24 12:00:01 +0000
committerJakub Moc <jakub@gentoo.org>2008-01-24 12:00:01 +0000
commit88fefb68dc085cf5b7fbf4191bc624676e70e9fa (patch)
tree6b831e142dc595a4364c1ec2341e5feae8c8a912
parentapp-cdr/acetoneiso2: Some cleaning and changed the description (diff)
downloadsunrise-88fefb68dc085cf5b7fbf4191bc624676e70e9fa.tar.gz
sunrise-88fefb68dc085cf5b7fbf4191bc624676e70e9fa.tar.bz2
sunrise-88fefb68dc085cf5b7fbf4191bc624676e70e9fa.zip
app-misc/bsc: Version bump; masked as this beta still needs work.
svn path=/sunrise/; revision=5504
-rw-r--r--app-misc/bsc/ChangeLog5
-rw-r--r--app-misc/bsc/Manifest4
-rw-r--r--app-misc/bsc/bsc-4.0.06_beta.ebuild47
3 files changed, 54 insertions, 2 deletions
diff --git a/app-misc/bsc/ChangeLog b/app-misc/bsc/ChangeLog
index e770fd497..0a38d7c65 100644
--- a/app-misc/bsc/ChangeLog
+++ b/app-misc/bsc/ChangeLog
@@ -1,7 +1,10 @@
# ChangeLog for app-misc/bsc
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 24 Jan 2008; Jakub Moc <jakub@gentoo.org> +bsc-4.0.06_beta.ebuild:
+ Version bump; masked as this beta still needs work.
+
04 Dec 2007; Jakub Moc <jakub@gentoo.org> bsc-2.27.ebuild:
Switch to EAPI-1 and slotted deps
diff --git a/app-misc/bsc/Manifest b/app-misc/bsc/Manifest
index 0c3898981..8373e77dc 100644
--- a/app-misc/bsc/Manifest
+++ b/app-misc/bsc/Manifest
@@ -1,4 +1,6 @@
DIST bsc_2.27_src.tar.gz 265073 RMD160 ae6a881bb2b5cd5af8827c549701f872a7906071 SHA1 0b8f5f7621bf9762acbfb379b3086c26cdf8766e SHA256 415281df4f22c86c3977fd25f422fbdee290c42daaefa0363c5ed6be3361fb9c
+DIST bsc_4.0.06.beta_src.tar.gz 114731 RMD160 d78a2dc0ab64bf72b2aad2ae1efb73b9d8c63fee SHA1 b1123850fc2ce4cbc08951087a363b7aef514421 SHA256 2b868c2879d040c10a8226261599ff828ca55a49def980289e8be12615162c5d
EBUILD bsc-2.27.ebuild 813 RMD160 9a833a1b23c8f297931c6432c0f993522f295bb5 SHA1 fc2adde8ec0b547b62ed3f83d2155e44252d4a44 SHA256 8cbc14b132c4bef11d5487890ca7911a5e478cfb56e787517282cfde2ab4e929
-MISC ChangeLog 1103 RMD160 af886fc19e986f04865745110ec954624ac680ac SHA1 8b09cc727443873646c8d8608bda5c6c02916f88 SHA256 13bbe42e80a14f9f36e855f626342ad4ee17f14a32d36c14fbce90605b607676
+EBUILD bsc-4.0.06_beta.ebuild 1032 RMD160 7365d87780a366c68ba1601fb0fc27ef90d8da1f SHA1 42148d42e213e90ca5650addfb388e1cd30e9071 SHA256 6a13124f3cb8a76477eed6bc70317c5b61400fd0b2b6aea9105310c15eaac771
+MISC ChangeLog 1227 RMD160 e6918a42192db8f5c1072a03df5505700fda2021 SHA1 7bf52dd423400027337089da57315d90a65cac37 SHA256 86e96479a92551c050dd29c05e8a6262612514faabc0637a93fcb0c27f7006f1
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/app-misc/bsc/bsc-4.0.06_beta.ebuild b/app-misc/bsc/bsc-4.0.06_beta.ebuild
new file mode 100644
index 000000000..d0be41418
--- /dev/null
+++ b/app-misc/bsc/bsc-4.0.06_beta.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+inherit eutils qt4 versionator
+
+MY_PV="$(replace_version_separator 3 '.')"
+DESCRIPTION="BSCommander is a Qt based file manager"
+HOMEPAGE="http://www.beesoft.org/bsc.html"
+SRC_URI="http://www.beesoft.org/download/${PN}_${MY_PV}_src.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=x11-libs/qt-4.3.2:4
+ x11-libs/libX11
+ x11-libs/libXext"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i -e "/^CXXFLAGS.*/s:-pipe -O4:${CXXFLAGS}:" \
+ Makefile || die "sed failed on Makefile"
+ sed -i -e "/^QMAKE_CXXFLAGS_RELEASE.*/s:-O4:${CXXFLAGS}:" \
+ ${PN}.pro || die "sed failed on ${PN}.pro"
+}
+
+src_compile() {
+ eqmake4 bsc.pro
+ emake || die "make failed"
+}
+
+src_install() {
+ dobin ${PN}
+
+ insinto /usr/share/${PN}
+ doins help.en.html
+
+ newicon BeesoftCommander.png ${PN}.png
+ make_desktop_entry ${PN} BSCommander ${PN} "FileManager;Utility;Qt"
+}